Bug 2726 - [UPDATE REQUEST] fonts-ttf-unifont
: [UPDATE REQUEST] fonts-ttf-unifont
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 11:17 MSD by Vladimir Testov
Modified: 2013-10-07 10:07 MSD (History)
3 users (show)

See Also:
RPM Package: fonts-ttf-unifont
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
update (252.36 KB, image/png)
2013-10-03 14:49 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Testov 2013-10-01 11:17:38 MSD
Updated package fonts-ttf-unifont for rosa2012.1
Comment 1 Vladimir Testov 2013-10-01 11:21:33 MSD
Advisory:
Unifont package has been updated to the latests version.
Symlink has been added. (needed by GRUB2)

Build lists:
https://abf.rosalinux.ru/build_lists/1337378 x32
https://abf.rosalinux.ru/build_lists/1337379 x64
Comment 2 Vladimir Potapov 2013-10-03 13:28:35 MSD
The package don't installed by default. If I update grub2 from http://bugs.rosalinux.ru/show_bug.cgi?id=2727 the font don't install.
Maybe you need to add the package to requirements grub2-theme-rosa?
Comment 3 Aleksandr Kazantcev 2013-10-03 13:41:45 MSD
rpm -qf /boot/grub2/fonts/unicode.pf2 
grub2-rosa-theme-2.00-22-rosa2012.1.noarch

You need update font in grub2-rosa-theme or create symlink in theme (or delete symlink in theme and add requires to font package).
Comment 4 Vladimir Potapov 2013-10-03 14:20:01 MSD
Hmm... I test ordinal update, without manual settings.

rpm -qf /boot/grub2/fonts/unicode.pf2 
файл /boot/grub2/fonts/unicode.pf2 не принадлежит ни одному из пакетов
Comment 5 Vladimir Testov 2013-10-03 14:42:59 MSD
The grub2-theme does not require fonts-ttf-unifont. But new grub does.
Comment 6 Vladimir Testov 2013-10-03 14:44:49 MSD
To be more precise, fonts-ttf-unifont is in "BuildRequires", it is needed to build new grub2.
Comment 7 Vladimir Testov 2013-10-03 14:48:26 MSD
So. We should NOT add Requires to grub2 or grub2-theme-rosa. Fonts won't be installed automatically, yes, this is exactly how it should be. No links to unicode.pf2 in grub2-theme-rosa. This file is in grub2 package. Link is needed by "make" procedure during building grub2 to create right file unicode.pf2. Then this file is needed only by grub2, but not the grub2-theme-rosa.
Comment 8 Vladimir Potapov 2013-10-03 14:49:20 MSD
Created attachment 1947 [details]
update
Comment 9 Vladimir Testov 2013-10-03 14:51:09 MSD
grub2-theme-rosa (updated theme) obsoletes grub2-rosa-theme. And the file /boot/grub2/fonts/unicode.pf2 is moved to the grub2 package.

attachment 1947 [details] - what's that?
Comment 10 Vladimir Potapov 2013-10-03 14:53:15 MSD
(In reply to comment #9)
> attachment 1947 [details] - what's that?
The update list after all three containers added.
Comment 11 Vladimir Testov 2013-10-03 14:54:10 MSD
Yes, it is O.K.
Comment 12 Vladimir Testov 2013-10-03 14:56:06 MSD
(In reply to comment #10)
> (In reply to comment #9)
> > attachment 1947 [details] - what's that?
> The update list after all three containers added.

Again, fonts-ttf-unifont is absolutely needed to correctly build grub. But it is not necessary for this package to be present in the system.
Comment 13 Vladimir Potapov 2013-10-03 15:01:29 MSD
(In reply to comment #12)
> Again, fonts-ttf-unifont is absolutely needed to correctly build grub. But
> it is not necessary for this package to be present in the system.
Oh! I think I got it.
Comment 14 Vladimir Potapov 2013-10-04 18:21:10 MSD
fonts-ttf-unifont-6.2.20130902-1-rosa2012.1
******************** Advisory **********************
Unifont package has been updated to the latests version.
Symlink has been added. (needed by GRUB2)
****************************************************
QA Verified